Subject: Re: Is there a way to trim old SHAs from a git tree (so it's not so large)?

From: Shawn Pearce <[email-masked]>
Date: Tue, 21 Nov 2006 11:32:06 -0500

Timur Tabi <[email-masked]> wrote:
> Thomas Kolejka wrote:
> 
> >Is it possible to do this with shallow clone? 
> 
> Maybe.  How do you do a shallow clone?  I tried "git clone" followed by 
> "git-repack", and that helped a lot, but the result was still twice the 
> size of a normal tarball.  I don't see any "shallow" option to the clone 
> command, and git-shallow-pack doesn't exist on my installation.

Twice the size of a normal tarball isn't too bad, considering that
you have the _complete_ history in the pack and yet the normal
tarball has no history at all.

Shallow clone is a development feature still being working on in
Junio's 'pu' branch of git.git.  It has a few issues still to be
worked out so it hasn't been made part of one of the more stable
branches yet (like 'next', 'master', or 'maint').

--